<?php

/**
  *  Bloginy, Blog Aggregator
  *  Copyright (C) 2012  Riad Benguella - Rizeway
  *
  *  This program is free software: you can redistribute it and/or modify
  *
  *  it under the terms of the GNU General Public License as published by
  *  the Free Software Foundation, either version 3 of the License, or
  *  any later version.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  *
  *  You should have received a copy of the GNU General Public License
  *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

namespace Rizeway\BloginyBundle\Model\Repository;

use Doctrine\ORM\EntityRepository;

/**
 * TagRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class TagRepository extends EntityRepository
{
    public function filterByTag($tag, $limit)
    {
        $query = $this->_em->createQueryBuilder()
            ->select('tag.tag')
            ->from('BloginyBundle:Tag', 'tag')
            ->where('tag.tag LIKE :filter')
            ->setParameter('filter', '%'.$tag.'%')
            ->groupBy('tag.tag')
            ->getQuery()
            ->setMaxResults($limit);
        
        $tags = array();
        foreach ($query->getResult() as $result)
        {
            $tags[] = current($result);
        }
        
        return $tags;
    }
}